Subject: Re: Flooding Procedure

From: Vivek Dubey <[email-masked]>
Date: Mon, 11 Aug 2003 05:07:25 -0000

Section 10.6
-------------
Otherwise,      the router looks up the
LSA in its database to see whether it also has an instance of
the LSA.  If it does not, or if the database copy is less recent
see Section 13.1), the  LSA is put on the Link state request
list so that it can be requested (immediately or at some later
time) in Link State Request Packets.

Section 13.1
-------------
5) Executed if no database copy present or received lsa is
    more recent.
6) Means there is a database copy that is either:
    a) Same instance as database copy
    OR
    b)Database copy is more recent
    Implies this LSA shouldn't be present in NBRs LRQ List.
    Resulting in error condition.

Vivek

On Mon, 11 Aug 2003 Naveen Tyagi wrote :
>Hi,
>I am new to ospf.
>This question has been asked earlier and replied by Mr. Moy. But
>I could not
>understand the description.
>
>    I fail to understand how "RFC2328 section 13 point no 6" is
>en error
>case?
>
>  Here is the response From Mr Moy.
>***********************************************************
>  Date:         Fri, 23 Oct 1998 15:09:31 -0400
>Reply-To:     Mailing List <[email-masked]>
>Sender:       Mailing List <[email-masked]>
> From:         "John T. Moy" <[email-masked]>
>Organization: Cascade Communications Corp.
>Subject:      Re: Flooding Procedure
>Comments: To: SS Pillai <[email-masked]>
>Content-Type: text/plain; charset=us-ascii
>
>It's an error because, if the Database Exchange procedure
>were working properly, the LSA on the request list should
>have been removed in step 5c of that same section, instead
>of reaching step 6.
>
>John
>
>SS Pillai wrote:
>
> > Subject: Flooding Procedure
> > Date: Sun, 18 Oct 1998 21:08:44 +0530
> > From: SS Pillai <[email-masked]>
> > To: [email-masked]
> >
> > Hi,
> >         In RFC2328 section 13 page no 145 point no 6, it is
>mentioned
> >         that "if there is an instance of the LSA on sending
>neighbor's
> >         Link state request list, an error has occured ...."
> >
> >         while we are sending LS Request, the neighbor will
>respond
> >         in LS Update packet.  So there will be an request
>list
> >         in our database. How it can be an error?.
> >
> >         I think I not understood properly. Can any one clear
>my doupt?
> > Thanks
> > pillai
>
>******************************************************************
>
>  Section 5c is about deleting LSA from retansmission list and
>not from the
>request list.
>Thanks,
>Naveen.

___________________________________________________
Download the hottest & happening ringtones here!
OR SMS: Top tone to 7333
Click here now:
http://sms.rediff.com/cgi-bin/ringtone/ringhome.pl